> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post elasticsearchmappingtemplateupdate

> Update index template



## OpenAPI

````yaml /schema.json post /elasticsearch/mapping/template/update
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /elasticsearch/mapping/template/update:
    post:
      tags:
        - Elasticsearch
      description: Update index template
      operationId: updateElasticsearchIndexTemplate
      parameters:
        - name: dry-run
          in: query
          description: Only check for differences
          required: false
          schema:
            type: boolean
            default: false
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElasticsearchTemplateUpdateResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ElasticsearchTemplateUpdateResult:
      type: object
      properties:
        templates:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              action:
                type: string
              dryRun:
                type: boolean
              response:
                type: object
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````